# $Revision: 1.6 $, $Date: 2009/11/20 07:35:11 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	DateTime
%define	pnam	Format-W3CDTF
Summary:	DateTime::Format::W3CDTF - Parse and format W3CDTF datetime strings
Summary(pl.UTF-8):	DateTime::Format::W3CDTF - analizowanie i formatowanie łańcuchów dat W3CDTF
Name:		perl-DateTime-Format-W3CDTF
Version:	0.05
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DateTime/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	86b23720f1d2f40ca1fec0a4096a5ff4
URL:		http://search.cpan.org/dist/DateTime-Format-W3CDTF/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-DateTime
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module understands the W3CDTF date/time format, an ISO 8601
profile, defined at <http://www.w3.org/TR/NOTE-datetime>. This format
as the native date format of RSS 1.0.

It can be used to parse these formats in order to create the
appropriate objects.

%description -l pl.UTF-8
Ten moduł rozumie format daty/czasu W3CDTF w profilu ISO 8601,
zdefiniowany w <http://www.w3.org/TR/NOTE-datetime>. Jest to natywny
format daty w RSS 1.0.

Moduł można wykorzystać do analizy tych formatów w celu utworzenia
odpowiednich obiektów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/DateTime/Format/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DateTime-Format-W3CDTF.spec,v $
Revision 1.6  2009/11/20 07:35:11  amateja
- updated to 0.05

Revision 1.5  2008/12/02 18:34:23  qboosh
- unified Source0 URL

Revision 1.4  2008/08/09 14:19:11  arekm
- rel 1

Revision 1.3  2008-02-18 22:21:52  agaran
- fixed BR

Revision 1.2  2007-03-31 11:05:54  qboosh
- pl

Revision 1.1  2007/03/25 23:15:55  sls
- perl-XML-RSS-1.22 needs this
